Subject: Re: bug#57264: 29.0.50; Wrong xcursor colour when over an Emacs frame

From: Po Lu <[email-masked]>
Date: Thu, 18 Aug 2022 10:44:50 +0800

Visuwesh <[email-masked]> writes:

> When the mouse pointer is over an Emacs frame, the xcursor has the wrong
> colour; this is not observed with other Xorg apps like okular,
> libreoffice, ungoogled-chromium.
>
> Emacs has no problem with the default Xorg cursor theme---it is black as
> expected---but this happens when I use the xcursor theme from below.
>
> To reproduce,
>
>     1. Download and install the cursor theme from
>        https://π.duncano.de/files/xcursor-plan9-0.2.tar.xz
>     2. Launch emacs -Q as `XCURSOR_THEME=plan9 emacs -Q'.
>     3. Move the cursor over the Emacs frame into a void area and observe
>        the left pointer colour.  It is white here.
>     4. Now repeat the same but for another application, the left pointer
>        colour is black as expected.
>
> Changing the mouse face's :background does not help.  It changes the
> border colour.  If it gives any clue, I also see this problem with st.
>
> Thanks.

Emacs is doing the right thing here, along with st, xterm, urxvt, et
cetera.  The bug lies in the other programs where the cursor is mostly
black with a white border.